Bug 184181 - ifup won't bring up the NIC if the saved MAC address doesn't match the real MAC address
ifup won't bring up the NIC if the saved MAC address doesn't match the real M...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: net-tools (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Radek Vokal
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-06 19:27 EST by Jie Song
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-30 05:04:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jie Song 2006-03-06 19:27:09 EST
Description of problem:

RHEL4 saves the mac address of a NIC in the file
/etc/sysconfig/network-script/ifcfg-ethX. When ifup, they fetch the real mac
address and compare it with the saved mac address. If those two mac addresses
don't match, ifup will give up and won't bring up the NIC. This behavior is
quite dangerous. Suppose that we change the NIC (same mode and configuration,
only the mac address is differnt), the system won't bring up our new NIC because
of the different mac address (the real and the saved).

Version-Release number of selected component (if applicable):

RHEL4

How reproducible:


Steps to Reproduce:
1. Change NIC
2. power it on
3. 'ifconfig -a' won't show eth0. Or if you use vmware workstation:

1. Create a RHEL4 virtual machine with a virtual NIC;
2. Power it on, then power it off
3. From WS's menu (VM->Clone...), clone the VM
4. Power on the new VM, then run 'ifconfig -a' to check if eth0 is active.

  
Actual results:

eth0 is inactive.


Expected results:

The system should either find a new NIC and reconfigure ifcfg-eth0 or not
compare the saved mac address and the real address so that it can bring up the NIC.

Additional info:
Comment 1 Radek Vokal 2006-03-30 05:04:11 EST
Well, you can configure your NIC not to bind on MAC address. This is correct
behaviour, by default it is set on (I guess it's considered more secure, if you
need better explanation, I can try to get some) and it can be switched off
either by unchecking box in system-config-network->edit configuration->hardware
settings or just by removing HWADDR line from the config script. 

Note You need to log in before you can comment on or make changes to this bug.